Projects / YB.ORM / Dependencies

Dependencies

CMake

Minimum version: 2.8
Comment: alternatively, automake/autoconf build scripts are provided

CppUnit

Minimum version:

Firebird Relational Database

Minimum version:
Comment: through ODBC driver

libxml2

Minimum version:
Comment: used only in build with boost

MySQL

Minimum version: 5
Comment: through ODBC driver, native QtSql driver

Oracle

Minimum version: 10
Comment: through ODBC driver

PostgreSQL

Minimum version: 8
Comment: through ODBC driver

Qt

Minimum version: 4.4
Comment: alternatively, build against boost+libxml2 or wxwidgets

SQLite

Minimum version: 3
Comment: through native built-in driver, native QtSql driver

The Boost Libraries

Minimum version: 1.31.0

unixODBC

Minimum version:
Comment: on windows there is native odbc library

wxWidgets

Minimum version: 2.6
Comment: boost is still necessary

Screenshot

Project Spotlight

DataNucleus AccessPlatform

Standards-compliant Java persistence via JDO/JPA/REST and RDBMS/MongoDB/Neo4j/Excel/LDAP.

Screenshot

Project Spotlight

Transmageddon

A video conversion tool.